DMESG(8) | System Manager's Manual | DMESG(8)

# NAME

dmesg — display the system message buffer

# SYNOPSIS

dmesg | [-M core] [-N system]

# DESCRIPTION

dmesg displays the contents of the system message buffer.

The options are as follows:

-M
  Extract values associated with the name list from the specified core instead of the default ``/dev/mem''.
-N
  Extract the name list from the specified system instead of the default ``/netbsd''.

The system message buffer is a circular buffer of a fixed size. If the buffer has been filled, the first line of the dmesg output may not be complete. The size of the message buffer is configurable at compile-time on most systems with the MSGBUFSIZE kernel option. Look for MSGBUFSIZE in options(4) for details.

# FILES

/var/run/dmesg.boot
  copy of dmesg at the time of last boot.

# SEE ALSO

options(4), syslogd(8)

# HISTORY

The dmesg command appeared in 4.0BSD.

April 30, 2004 | NetBSD 6.0